FLOPPY(4) | Kernel Interfaces Manual (ATARI) | FLOPPY(4)

# NAME

floppy — Atari floppy interface

# SYNOPSIS

fd0 at fdc0 unit 0
fd1 at fdc0 unit 1

# DESCRIPTION

This is an interface to the builtin and external floppy drives on the Atari. Currently, there is no disklabel support for the floppy drives. Instead, the floppy interface uses the partition number embedded in the minor device number to distinguish between various floppy formats.

Currently, the following formats are supported:

Partition | Size | sides | tracks | sectors/track
a | 360Kb | 1 | 80 | 9
b | 720Kb | 2 | 80 | 9
c | 1.44Mb | 2 | 80 | 18

# FILES

/dev/fd[01][abc]
  Block files
/dev/rfd[01][abc]
  Raw files

# DIAGNOSTICS

None.

October 15, 1995 | NetBSD 6.0